Skip to content
Sign upLog in
← Back to Community

Gem Permission Error in Rails App

Profile icon
justinkuepper

I have a Rails application and am trying to run bundle install. Upon doing so, it says that bundler isn't installed. I have a Ruby (Rails) environment setup on Repl.it and Ruby is installed when I run ruby -v.

When I try to run gem install bundler or do so using the package manager, I receive the following error:

ERROR: While executing gem ... (Gem::FilePermissionError) You don't have write permissions for the /var/lib/gems/2.5.0 directory.

Does anyone know how to resolve this?

Voters
Profile icon
GregFlaherty
Profile icon
bullockcm
Profile icon
JeddSJr
Profile icon
justinkuepper
Comments
hotnewtop
Profile icon
son1112

I am having the same issue installing gems